#!/bin/bash
# Exports one DB schema using exp command
# This bash file expects one parameter to be the name of the DB schema. 
# This bash file was made to be executed from a cron job bash file.

export ORACLE_HOME=/u01/app/oracle/product/11.2.0/xe
export ORACLE_SID=XE
export NLS_LANG=`$ORACLE_HOME/bin/nls_lang.sh`
export ORACLE_BASE=/u01/app/oracle
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH
export PATH=$ORACLE_HOME/bin:$PATH

schemaName=$1
NOW=$(date +"%Y-%b-%d")
dumpName="/var/backups/oracle/"$schemaName"_"$NOW".dmp"
logName="/var/backups/oracle/"$schemaName"_"$NOW".log"

exp system/root FILE=$dumpName OWNER=$schemaName LOG=$logName STATISTICS=None
